package com.yonge.cooleshow.biz.dal.dto.req;

import com.yonge.cooleshow.biz.dal.enums.PayChannelEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 下单支付请求
 *
 * @Author: liweifan
 * @Data: 2022/3/31 14:55
 */
@ApiModel(value = "OrderPayReq对象", description = "下单支付请求")
public class OrderPayReq {
    @NotBlank(message = "订单号不能为空")
    @ApiModelProperty(value = "订单号 ", required = true)
    private String orderNo;
    @NotNull(message = "支付渠道不能为空")
    @ApiModelProperty(value = "支付渠道:  alipay 支付宝  wx_lite 微信 ", required = true)
    private PayChannelEnum payChannel;
    @ApiModelProperty(value = "用户id ")
    private Long userId;
    @ApiModelProperty(value = "用户端公网ip ")
    private String ipAddress;
    @ApiModelProperty(value = "微信用户openId（微信支付必传）")
    private String openId;
    @ApiModelProperty(value = "用户说明 ")
    private String reason;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public PayChannelEnum getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(PayChannelEnum payChannel) {
        this.payChannel = payChannel;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
